#!/bin/bash
# file test.sh
# created ven. nov. 17 00:28:28 CET 2017 by Yann Guidon / ygdes.com

rm -f work-obj93.cf *.o asm_tb mustpass mustfail
ghdl -a ../YGREC8_def.vhdl ../YGREC8_utils.vhdl YGREC8_asm.vhdl mustpass.vhdl &&
ghdl -e mustpass  && ./mustpass && echo ASM MustPass: OK
rm -f work-obj93.cf *.o asm_tb mustpass

ghdl -a ../YGREC8_def.vhdl ../YGREC8_utils.vhdl YGREC8_asm.vhdl mustfail.vhdl &&
ghdl -e mustfail &&
( for i in $(seq 1 50); do  ./mustfail -gtest_str=$i; done ) | grep 'SOMETHING WRONG HAPPENED' 2>&1 || echo ASM MustFail: OK
rm -f work-obj93.cf *.o mustfail

