#!/bin/bash
# file test.sh
# created mar. nov. 14 04:51:53 CET 2017 by Yann Guidon / ygdes.com

rm -f core_tb ygrec8_core work-obj93.cf *.o
ghdl -a ../YGREC8_def.vhdl \
        ../YGREC8_utils.vhdl \
        ../ALU8/ALU8_CLA.vhdl \
        ../INC8/INC8_A3P.vhdl \
        ../REG8/REG8_A3P_v2.vhdl \
        ../SHL8/SHL8v2.vhdl \
        ../BRAM/InferedDualPortRAM.vhdl \
        Core.vhdl &&
ghdl -e YGREC8_Core && ./ygrec8_core && echo Core standalone: OK &&

ghdl -a ../ASM/YGREC8_asm.vhdl tb1.vhdl &&
ghdl -e Core_tb  && ./core_tb && echo Core test1: OK &&

rm -f ygrec8_core core_tb work-obj93.cf *.o
