#!/bin/bash
# file test.sh
# created by Yann Guidon / ygdes.com
# version sam. nov. 11 19:26:36 CET 2017
# version lun. nov. 13 02:34:03 CET 2017
# version jeu. nov. 16 03:07:00 CET 2017
# version mer. oct. 17 03:38:23 CEST 2018 : INC8_tiles.vhdl & INC8_gates.vhdl

VHDLIB="../YGREC8_def.vhdl ../YGREC8_utils.vhdl"
PA3="-P../proasic3"

rm -f inc8 inc8_tb work-obj93.cf *.o
ghdl -a $VHDLIB INC8.vhdl && ghdl -e INC8    && ./inc8    && echo INC8 standalone: OK &&
ghdl -a      INC8_tb.vhdl && ghdl -e INC8_tb && ./inc8_tb && echo INC8 testbench:  OK &&

rm -f inc8 inc8_tb work-obj93.cf *.o
ghdl -a $VHDLIB INC8_A3P.vhdl && ghdl -e INC8    && ./inc8    && echo INC8 A3P standalone: OK &&
ghdl -a          INC8_tb.vhdl && ghdl -e INC8_tb && ./inc8_tb && echo INC8 A3P testbench:  OK &&

rm -f inc8 inc8_tb work-obj93.cf *.o
ghdl -a $VHDLIB INC8_gates.vhdl && ghdl -e INC8    && ./inc8    && echo INC8 gates standalone: OK &&
ghdl -a            INC8_tb.vhdl && ghdl -e INC8_tb && ./inc8_tb && echo INC8 gates testbench:  OK &&

rm -f inc8 inc8_tb work-obj93.cf *.o
ghdl -a $PA3 $VHDLIB INC8_tiles.vhdl && ghdl -e $PA3 INC8    && ./inc8    && echo INC8 tiles standalone: OK &&
ghdl -a $PA3            INC8_tb.vhdl && ghdl -e $PA3 INC8_tb && ./inc8_tb && echo INC8 tiles testbench:  OK &&

rm -f inc8 inc8_tb work-obj93.cf *.o
