library ieee;
    use ieee.std_logic_1164.all;
    use ieee.numeric_std.all;

Library work;
    use work.all;

entity test_delay is
end test_delay;

architecture rtl of test_delay is
  signal A, B, C, Y : std_logic := '0';
begin
  gate: entity OR3 port map (
    A => A,
    B => B,
    C => C,
    Y => Y
  );

  bench: process
  begin
    A <= '1';
    wait;
  end process;

  sniffer: process(Y)
  begin
    if Y='1' then
      report "Y=1";
    end if;
  end process;

end rtl;
