-- proasic3/gate_AND3C.vhdl
-- created jeu. mai 15 03:52:10 CEST 2014 by Yann Guidon (whygee@f-cpu.org)
-- Released under the GNU AGPLv3 license (see the license/ directory)
-- Just a little replacement for the Actel ProASIC3 gates/macros library
--  to help simulate optimised source code.

Library ieee;
    use ieee.std_logic_1164.all;

Library delay;
    use delay.generic_delay.all;

entity AND3C is
  port( A, B, C : in std_logic;
              Y : out std_logic);
end AND3C;

architecture rtl of AND3C is
begin
  Y <= ((not A) and (not B)) and (not C) after gate_delay;
end rtl;
