-- proasic3/gate_AO1.vhdl
-- created mer. mai 21 09:09:55 CEST 2014 by Yann Guidon (whygee@f-cpu.org)
-- Released under the GNU AGPLv3 license (see the license/ directory)
-- Just a little replacement for the Actel ProASIC3 gates/macros library
--  to help simulate optimised source code.

Library ieee;
    use ieee.std_logic_1164.all;

Library delay;
    use delay.generic_delay.all;

entity AO1 is
  port( A, B, C : in std_logic;
              Y : out std_logic);
end AO1;

architecture rtl of AO1 is
begin
  Y <= (A and B) or C after gate_delay;
end rtl;
