-- proasic3/gate_CLKBUFF.vhdl
-- created jeu. mai 15 05:40:42 CEST 2014 by Yann Guidon (whygee@f-cpu.org)
-- Released under the GNU AGPLv3 license (see the license/ directory)
-- Just a little replacement for the Actel ProASIC3 gates/macros library
--  to help simulate optimised source code.

Library ieee;
    use ieee.std_logic_1164.all;

Library delay;
    use delay.generic_delay.all;

entity CLKBUFF is
  port(Y : out std_logic );
end CLKBUFF;

-- just a dumb clock driver/generator
architecture rtl of CLKBUFF is
begin
  process
  begin
    Y <= '1';
    wait for clock_half_period;
    Y <= '0';
    wait for clock_half_period;
  end process;
end rtl;
