-- proasic3/gate_CLKINT.vhdl
-- created lun. mai 12 23:59:59 CEST 2014 by Yann Guidon (whygee@f-cpu.org)
-- Released under the GNU AGPLv3 license (see the license/ directory)
-- Just a little replacement for the Actel ProASIC3 gates/macros library
--  to help simulate optimised source code.

Library ieee;
    use ieee.std_logic_1164.all;

Library delay;
    use delay.generic_delay.all;

entity CLKINT is
  port( A :  in std_logic;
        Y : out std_logic );
end CLKINT;

architecture rtl of CLKINT is
begin
  Y <= A after gate_delay;
end rtl;
