-- proasic3/gate_DFN1.vhdl
-- created mer. mai 21 13:47:29 CEST 2014 by Yann Guidon (whygee@f-cpu.org)
-- Released under the GNU AGPLv3 license (see the license/ directory)
-- Just a little replacement for the Actel ProASIC3 gates/macros library
--  to help simulate optimised source code.

Library ieee;
    use ieee.std_logic_1164.all;

Library delay;
    use delay.generic_delay.all;

entity DFN1 is
  port( D, CLK : in std_logic;
        Q : out std_logic);
end DFN1;

architecture rtl of DFN1 is
begin
  process(CLk)
  begin
    if rising_edge(CLK) then
      Q<=D after gate_delay;
    end if;
  end process;
end rtl;
