-- proasic3/gate_DFN1E1C1.vhdl
-- created jeu. mai 15 03:52:10 CEST 2014 by Yann Guidon (whygee@f-cpu.org)
-- version mar. oct. 23 04:43:49 CEST 2018 : C0 -> C1
-- Released under the GNU AGPLv3 license (see the license/ directory)

Library ieee;
    use ieee.std_logic_1164.all;

Library delay;
    use delay.generic_delay.all;

entity DFN1E1C1 is
  port( D, E, CLK, CLR : in std_logic;
        Q : out std_logic);
end DFN1E1C1;

architecture rtl of DFN1E1C1 is
begin
  process(CLR, CLK)
  begin
    if CLR='0' then
      Q <= '1';
    else
      if rising_edge(CLK) and E='1' then
        Q<=D after gate_delay;
      end if;
    end if;
  end process;
end rtl;
