-- proasic3/gate_NAND3B.vhdl
-- created mer. oct. 17 04:53:24 CEST 2018 by Yann Guidon (whygee@f-cpu.org)
-- Released under the GNU AGPLv3 license (see the license/ directory)
-- Just a little replacement for the Actel ProASIC3 gates/macros library
--  to help simulate optimised source code.

Library ieee;
    use ieee.std_logic_1164.all;

Library delay;
    use delay.generic_delay.all;

entity NAND3B is
  port( A, B, C : in std_logic;
              Y : out std_logic);
end NAND3B;

architecture rtl of NAND3B is
begin
  Y <= not (((not A) and (not B)) and C) after gate_delay;
end rtl;
