-- proasic3/gate_OA1C.vhdl
-- created mer. oct. 17 04:44:13 CEST 2018 by Yann Guidon (whygee@f-cpu.org)
-- Released under the GNU AGPLv3 license (see the license/ directory)
-- Just a little replacement for the Actel ProASIC3 gates/macros library
--  to help simulate optimised source code.

Library ieee;
    use ieee.std_logic_1164.all;

Library delay;
    use delay.generic_delay.all;

entity OA1C is
  port( A, B, C : in std_logic;
              Y : out std_logic);
end OA1C;

architecture rtl of OA1C is
begin
  Y <= ((not A) or B) and (not C) after gate_delay;
end rtl;
