#!/bin/bash
# YGREC8/test_units.sh
# created lun. nov. 13 01:55:52 CET 2017 by Yann Guidon (whygee@f-cpu.org)
# version ven. nov. 17 01:11:13 CET 2017
# Released under the GNU AGPLv3 license

ghdl -v |grep "mcode" && echo "This script does not support mcode, use GHDL with GCC or LLVM backend."

# compile the PA3 gates library
pushd proasic3
./runme.ghdl.sh
popd

# run this to perform sanity checks with GHDL
# and also cleanup all temporary and object files
for DIR in generics MUX8 INC16 SHL8 INC8 ALU8 # ASM CORE REG8
do
  pushd $DIR
  ./test.sh
  popd
done
