#!/bin/bash
rm -f *.cf *.o test_delay &&
ghdl -a --work=delay generic_delay_0ns.vhdl &&
ghdl -a test_delay_gate.vhdl test_delay_tb.vhdl &&
ghdl -e test_delay &&
./test_delay | grep '@0ms:' &&
echo "OK delay=0" &&
rm -f *.cf *.o test_delay &&
ghdl -a --work=delay generic_delay_1ns.vhdl &&
ghdl -a test_delay_gate.vhdl test_delay_tb.vhdl &&
ghdl -e test_delay &&
./test_delay | grep '@1ns:' &&
echo "OK delay=1ns" &&
rm -f *.cf *.o test_delay
