-- proasic3/gate_AOI1D.vhdl
-- created mer. oct. 17 04:30:24 CEST 2018 by Yann Guidon (whygee@f-cpu.org)
-- Released under the GNU AGPLv3 license (see the license/ directory)
-- Just a little replacement for the Actel ProASIC3 gates/macros library
--  to help simulate optimised source code.

Library ieee;
    use ieee.std_logic_1164.all;

Library delay;
    use delay.generic_delay.all;

entity AOI1D is
  port( A, B, C : in std_logic;
              Y : out std_logic);
end AOI1D;

architecture rtl of AOI1D is
begin
  Y <= not ( ((not A) and (not B)) or (not C) ) after gate_delay;
end rtl;
