-- proasic3/gate_AX1A.vhdl
-- created mer. oct. 17 04:34:02 CEST 2018 by Yann Guidon (whygee@f-cpu.org)
-- Released under the GNU AGPLv3 license (see the license/ directory)
-- Just a little replacement for the Actel ProASIC3 gates/macros library
--  to help simulate optimised source code.

Library ieee;
    use ieee.std_logic_1164.all;

Library delay;
    use delay.generic_delay.all;

entity AX1A is
  port( A, B, C : in std_logic;
              Y : out std_logic );
end AX1A;

architecture rtl of AX1A is
begin
  Y <= ((not A) and B) xor C after gate_delay;
end rtl;
