-- proasic3/gate_MX2.vhdl
-- created lun. mai 12 23:59:59 CEST 2014 by Yann Guidon (whygee@f-cpu.org)
-- Released under the GNU AGPLv3 license (see the license/ directory)
-- Just a little replacement for the Actel ProASIC3 gates/macros library
--  to help simulate optimised source code.

Library ieee;
    use ieee.std_logic_1164.all;

Library delay;
    use delay.generic_delay.all;

entity MX2 is
  port( A, B, S : in std_logic;
              Y : out std_logic );
end MX2;

architecture rtl of MX2 is
begin
  Y <= A after gate_delay when S='0'
  else B after gate_delay;
end rtl;
