-- proasic3/gate_MX2A.vhdl
-- created mer. oct. 17 04:40:25 CEST 2018 by Yann Guidon (whygee@f-cpu.org)
-- Released under the GNU AGPLv3 license (see the license/ directory)
-- Just a little replacement for the Actel ProASIC3 gates/macros library
--  to help simulate optimised source code.

Library ieee;
    use ieee.std_logic_1164.all;

Library delay;
    use delay.generic_delay.all;

entity MX2A is
  port( A, B, S : in std_logic;
              Y : out std_logic );
end MX2A;

architecture rtl of MX2A is
begin
  Y <= (not A) after gate_delay when S='0'
  else      B  after gate_delay;
end rtl;
