-- proasic3/gate_NOR2A.vhdl
-- created mer. oct. 17 04:39:35 CEST 2018 by Yann Guidon (whygee@f-cpu.org)
-- Released under the GNU AGPLv3 license (see the license/ directory)
-- Just a little replacement for the Actel ProASIC3 gates/macros library
--  to help simulate optimised source code.

Library ieee;
    use ieee.std_logic_1164.all;

Library delay;
    use delay.generic_delay.all;

entity NOR2A is
  port( A, B : in std_logic;
           Y : out std_logic);
end NOR2A;

architecture rtl of NOR2A is
begin
  Y <= not((not A) or B) after gate_delay;
end rtl;
