-- proasic3/gate_NOR3B.vhdl
-- created mer. oct. 17 04:18:02 CEST 2018 by Yann Guidon (whygee@f-cpu.org)
-- Released under the GNU AGPLv3 license (see the license/ directory)
-- Just a little replacement for the Actel ProASIC3 gates/macros library
--  to help simulate optimised source code.

Library ieee;
    use ieee.std_logic_1164.all;

Library delay;
    use delay.generic_delay.all;

entity NOR3B is
  port( A, B, C : in std_logic;
              Y : out std_logic);
end NOR3B;

architecture rtl of NOR3B is
begin
  Y <= not ((not A) or (not B) or C) after gate_delay;
end rtl;
