-- proasic3/gate_OA1A.vhdl
-- created jeu. mai 15 04:31:37 CEST 2014 by Yann Guidon (whygee@f-cpu.org)
-- Released under the GNU AGPLv3 license (see the license/ directory)
-- Just a little replacement for the Actel ProASIC3 gates/macros library
--  to help simulate optimised source code.

Library ieee;
    use ieee.std_logic_1164.all;

Library delay;
    use delay.generic_delay.all;

entity OA1A is
  port( A, B, C : in std_logic;
              Y : out std_logic);
end OA1A;

architecture rtl of OA1A is
begin
  Y <= ((not A) or B) and C after gate_delay;
end rtl;
