-- proasic3/gate_XOR3.vhdl
-- created jeu. mai 15 04:33:09 CEST 2014 by Yann Guidon (whygee@f-cpu.org)
-- Released under the GNU AGPLv3 license (see the license/ directory)
-- Just a little replacement for the Actel ProASIC3 gates/macros library
--  to help simulate optimised source code.

Library ieee;
    use ieee.std_logic_1164.all;

Library delay;
    use delay.generic_delay.all;

entity XOR3 is
  port( A, B, C : in std_logic;
              Y : out std_logic );
end XOR3;

architecture rtl of XOR3 is
begin
  Y <= (A xor B) xor C after gate_delay;
end rtl;
